import apiRequest from '@/network/http/apiRequest'

/**
 * 分页获取角色
 * @param data
 * @returns
 */
export function getRoleByPage(data: any) {
  return apiRequest({
    url: '/sys/role/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 列表获取角色
 * @param data
 * @returns
 */
export function getRoleByList(data: any) {
  return apiRequest({
    url: '/sys/role',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取角色
 * @param roleId 角色ID
 * @returns
 */
export function getRoleById(roleId: number) {
  return apiRequest({
    url: `/sys/role/${roleId}`,
    method: 'GET',
  })
}

/**
 * 添加角色
 * @param data
 * @returns
 */
export function createRole(data: any) {
  return apiRequest({
    url: '/sys/role/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新角色
 * @param data
 * @returns
 */
export function updateRole(data: any) {
  return apiRequest({
    url: '/sys/role/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除角色
 * @param roleId 角色ID
 * @returns
 */
export function deleteRoleById(roleId: number) {
  return apiRequest({
    url: `/sys/role/${roleId}`,
    method: 'DELETE',
  })
}
